PUT api/InvestorRelation/APIConnection
Updates trading account via Trading API PUT /api/sp/tradingaccount.
Request Information
URI Parameters
None.
Body Parameters
TradingAccountPutRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| WorkflowTypeID | integer |
None. |
|
| AccountID | integer |
None. |
|
| AccountNumber | string |
None. |
|
| BrokerName | string |
None. |
|
| AccountCurrency | string |
None. |
|
| InvestorID | integer |
None. |
|
| AccountTypeID | integer |
None. |
|
| PlatformTypeID | integer |
None. |
|
| StrategyID | integer |
None. |
|
| InvestedAmount | decimal number |
None. |
|
| DropDown | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"WorkflowTypeID": 1,
"AccountID": 2,
"AccountNumber": "sample string 3",
"BrokerName": "sample string 4",
"AccountCurrency": "sample string 5",
"InvestorID": 6,
"AccountTypeID": 7,
"PlatformTypeID": 8,
"StrategyID": 9,
"InvestedAmount": 1.0,
"DropDown": 1.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |